(list
 (
  cons 'eSFrameObserverSwarm
       (
	make-instance 'ESFrameObserverSwarm
		      #:stratumNumber          3
		      #:displayFrequency       1
		      #:verboseChoice         #f
                      #:zoomFactor             4
 		      #:timeToFinish           1000
		      )
       )

 (
  cons 'eSFrameModelSwarm0
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     10
                      #:newUnitGenerationP 0.9
		      #:maxStepNumber       10
		      #:maxStepLength       1
		      #:maxTicksAsUnsent    0
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  50
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 1
                      #:maxInactivity 10
                      #:maxUnsentProducts 10
		      #:totalMemoryMatrixNumber 1
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #f
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )


(
  cons 'eSFrameModelSwarm1
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 0
		      #:potentialUnitNumberPerType     10
                      #:newUnitGenerationP 0
		      #:maxStepNumber       10
		      #:maxStepLength       3
		      #:maxTicksAsUnsent    0
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 1
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )
(
  cons 'eSFrameModelSwarm2
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     4
                      #:newUnitGenerationP 0.3
		      #:maxStepNumber       10
		      #:maxStepLength       3
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  50
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 1
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #f
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )
)
