(list
 (
  cons 'eSFrameObserverSwarm
       (
	make-instance 'ESFrameObserverSwarm
		      #:stratumNumber          7
		      #:displayFrequency       1
		      #:verboseChoice         #f
		      #:wholeZeroTimeOrdersAreInvisible #t
                      #:zoomFactor             2
 		      #:timeToFinish           3000
		      )
       )

 (
  cons 'eSFrameModelSwarm0
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     50
                      #:newUnitGenerationP 0.9
		      #:maxStepNumber       1
		      #:maxStepLength       1
		      #:maxTicksAsUnsent    0
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  8
		      #:maxStartingVisibility  8
		      #:interVisibilityMinLevel 0
                      #:increasingVisibilityStep 0.0
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:totalMemoryMatrixNumber 2
		      #:createNumberOfUnitsGraph #f
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm1
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     1
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     0
                      #:newUnitGenerationP 0.0
		      #:maxStepNumber       1
		      #:maxStepLength       1
		      #:maxTicksAsUnsent    3
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  0
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.0
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm2
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     1
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     0
                      #:newUnitGenerationP 0.0
		      #:maxStepNumber       1
		      #:maxStepLength       1
		      #:maxTicksAsUnsent    3
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  0
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.0
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm3
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     1
		      #:unitGenerationInitialP 1
		      #:potentialUnitNumberPerType     0
                      #:newUnitGenerationP 0.0
		      #:maxStepNumber       1
		      #:maxStepLength       1
		      #:maxTicksAsUnsent    3
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  0
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.0
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm4
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 0.8
		      #:potentialUnitNumberPerType     3
                      #:newUnitGenerationP 0.2
		      #:maxStepNumber       5
		      #:maxStepLength       2
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.5
                      #:maxInactivity 15
                      #:maxUnsentProducts 10
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #f
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm5
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     3
		      #:unitGenerationInitialP 0.0
		      #:potentialUnitNumberPerType     3
                      #:newUnitGenerationP 0.0
		      #:maxStepNumber       5
		      #:maxStepLength       2
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  0
		      #:maxStartingVisibility  200
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.5
                      #:maxInactivity 15
                      #:maxUnsentProducts 10
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )

(
  cons 'eSFrameModelSwarm6
       (
	make-instance 'ESFrameModelSwarm
		      #:potentialUnitTypes     1
		      #:unitGenerationInitialP 1.0
		      #:potentialUnitNumberPerType     2
                      #:newUnitGenerationP 0.005
		      #:maxStepNumber       5
		      #:maxStepLength       2
		      #:unitSpaceXSize      100
		      #:unitSpaceYSize      100
		      #:minStartingVisibility  1000
		      #:maxStartingVisibility  2000
		      #:interVisibilityMinLevel 1
                      #:increasingVisibilityStep 0.5
                      #:maxInactivity 0
                      #:maxUnsentProducts 0
		      #:createNumberOfUnitsGraph #t
		      #:createProductionGraph #f
		      #:createRatioGraph #f
		      #:useOrderDistiller #t
		      #:shuffleListsAtEachAssignment #t
		      #:uniqueAssignmentInEachCycle #f
		      #:stopIfZeroUnits #f
		      )
       )


)
